%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Function:        Distance-Point-Plan                                 %
%  Description:     Calcule la distance entre un point et un plan       %
%  Dependicit:     aucune                                              %
%  Auteur:          Stefan Bracher                                      %
%  Date:            31.10.2006                                          %
%  Statut:          complt                                             %
%                                                                       %
%  Syntaxe:         d=distance_point_plane(p, n, m)                     %
%                                                                       %
%  Input:           p:  un point                                        %
%                   n:  une normale  le plan                           %
%                   m:  un point sur le plan                            %
%                                                                       %
%  Output:          d:  La distance, positiv si p est dans la direction %
%                       de n, ngativ non (p derrire le plan)          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function d=distance_point_plane(p, n, m)

d=dot(n, (p-m))/norm(n);