%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Function:        Transformation Homogene Point                       %
%  Description:     Transforme un point d'un systme de coordonnes    %
%                   l'autre                                             %
%  Dependicit:     aucune                                              %
%  Auteur:          Stefan Bracher                                      %
%  Date:            31.10.2006                                          %
%  Statut:          complt                                             %
%                                                                       %
%  Syntaxe:         p2=trans_hom_point(p1, T_AB)                        %
%                                                                       %
%  Input:           p1: un point au systme A                           %
%                   T_AB:  la matrice de transformation de A a B        %
%                                                                       %
%  Output:          p2: le point au systme B                           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p2=trans_hom_point(p1, T_AB)

p1(4)=1;                    % rendre le point p1 une coordone homogne 
p1=inv(T_AB)*p1;            % Transformer p1 au systme B
p2=[p1(1) p1(2) p1(3)]';    % En faire un point  3 coordones