%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Function:        Transformation Homogene- Vector                     %
%  Description:     Transforme un vecteur d'un systme de coordonnes  %
%                   l'autre                                             %
%  Dependicit:     aucune                                              %
%  Auteur:          Stefan Bracher                                      %
%  Date:            31.10.2006                                          %
%  Statut:          complt                                             %
%                                                                       %
%  Syntaxe:         n2=trans_hom_vec(n1, T_AB)                          %
%                                                                       %
%  Input:           n1:     un vecteur au systme A                     %
%                   T_AB:   la matrice de transformation de A a B       %
%                                                                       %
%  Output:          n2:     un vecteur au systme B                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function n2=trans_hom_vec(n1, T_AB)

p0_A=[0 0 0]';                % Dfinir un point p0 au systme A
pn_A=n1;                      % Dfinier le point pn=n1 au systme A
                              % -> le vecteur n1 est remplac par ces deux
                              % poinz


p0_A(4)=1;                          % rendre le point p1 une coordone homogne 
p0_A=inv(T_AB)*p0_A;                % Transformer p1 au systme B
p0_B=[p0_A(1) p0_A(2) p0_A(3)]';    % En faire un point  3 coordones

pn_A(4)=1;                          % rendre le point p1 une coordone homogne 
pn_A=inv(T_AB)*pn_A;                % Transformer p1 au systme B
pn_B=[pn_A(1) pn_A(2) pn_A(3)]';    % En faire un point  3 coordones

n2=pn_B-p0_B;                   % Rconstruir le vecteur en B